Remove obsolete scripts

db4
Slava Pestov 2008-02-08 21:13:05 -06:00
parent d41bfc64f1
commit d7af06c75a
9 changed files with 0 additions and 247 deletions

View File

@ -1,28 +0,0 @@
USING: tools.deploy sequences io.files io.launcher io
kernel concurrency prettyprint ;
"." resource-path cd
"deploy-log" make-directory
{
"automata.ui"
"boids.ui"
"bunny"
"color-picker"
"gesture-logger"
"golden-section"
"hello-world"
"hello-ui"
"lsys.ui"
"maze"
"nehe"
"tetris"
"catalyst-talk"
} [
dup
"deploy-log/" over append <file-writer>
[ deploy ] with-stream
dup file-length 1024 /f
2array
] parallel-map .

View File

@ -1,24 +0,0 @@
USING: tools.deploy.app sequences io.files io.launcher io
kernel concurrency ;
"." resource-path cd
"deploy-log" make-directory
{
"automata.ui"
"boids.ui"
"bunny"
"color-picker"
"gesture-logger"
"golden-section"
"hello-ui"
"lsys.ui"
"maze"
"nehe"
"tetris"
"catalyst-talk"
} [
"deploy-log/" over append <file-writer>
[ deploy.app ] with-stream
] parallel-each

View File

@ -1,43 +0,0 @@
CPU=$1
if [ "$CPU" = "x86.32" ]; then
TARGET="macosx-x86"
elif [ "$CPU" = "ppc" ]; then
TARGET="macosx-ppc"
CPU = "macosx-ppc"
else
echo "Specify a CPU"
exit 1
fi
EXE=factor
bash misc/integration/test.sh \
$EXE \
$CPU \
$TARGET \
no \
no \
no \
"X11=1" \
"-ui-backend=x11" \
"-x11" || exit 1
echo "Testing deployment"
$EXE "misc/integration/x11-deploy.factor" -run=none </dev/null
EXE=Factor.app/Contents/MacOS/factor
bash misc/integration/test.sh \
$EXE \
$CPU \
$TARGET \
yes \
yes \
yes \
"" \
"" \
""
echo "Testing deployment"
$EXE "misc/integration/macosx-deploy.factor" -run=none </dev/null

View File

@ -1,93 +0,0 @@
EXE=$1
CPU=$2
TARGET=$3
LOAD_P=$4
TEST_P=$5
BENCHMARK_P=$6
MAKE_FLAGS=$7
BOOT_FLAGS=$8
VARIANT=$9
PREFIX=misc/integration/results-$CPU$VARIANT
mkdir -p $PREFIX
VM_LOG=$PREFIX/vm.log
BOOT_LOG=$PREFIX/boot.log
LOAD_LOG=$PREFIX/load.log
TEST_LOG=$PREFIX/test.log
BENCHMARK_LOG=$PREFIX/benchmark.log
echo "Output files:"
echo "VM compilation: $VM_LOG"
echo "Bootstrap: $BOOT_LOG"
echo "Load everything: $LOAD_LOG"
echo "Unit tests: $TEST_LOG"
echo "Benchmarks: $BENCHMARK_LOG"
IMAGE=factor.image
echo
echo
echo
echo "Compiling VM"
${MAKE-make} clean $TARGET $MAKE_FLAGS >$VM_LOG </dev/null
if [ "$?" -ne 0 ]; then
echo "VM compile failed"
exit 1
fi
echo "Bootstrap"
rm -f $IMAGE
$EXE -i=boot.$CPU.image \
-no-user-init \
$BOOT_FLAGS \
-output-image=$IMAGE >$BOOT_LOG </dev/null
if [ ! -e "factor.image" ]; then
echo "Bootstrap failed"
exit 1
fi
# Load all modules; run tests
if [ "$LOAD_P" = "yes" ]; then
echo "Testing loading of all modules"
echo "USE: tools.browser load-everything USE: memory save USE: system 123 exit" \
>/tmp/factor-$$
$EXE -i=$IMAGE \
/tmp/factor-$$ \
-run=none \
>$LOAD_LOG </dev/null
if [ "$?" -ne 123 ]; then
echo "Load-everything failed"
exit 1
fi
# Check for parser notes
grep "automatically using" $LOAD_LOG
if [ "$?" -eq 0 ]; then
echo "Missing USE: declarations"
# exit 1
fi
fi
# Run unit tests
if [ "$TEST_P" = "yes" ]; then
echo "Running all unit tests"
$EXE -i=$IMAGE "-e=test-all" -run=none >$TEST_LOG </dev/null
fi
# Run benchmarks
if [ "$BENCHMARK_P" = "yes" ]; then
echo "Running all benchmarks"
$EXE -i=$IMAGE "-run=benchmark" >$BENCHMARK_LOG </dev/null
fi

View File

@ -1,10 +0,0 @@
bash misc/integration/test.sh \
./factor \
ppc \
$1-arm \
no \
yes \
yes \
"" \
"" \
""

View File

@ -1,10 +0,0 @@
bash misc/integration/test.sh \
./factor \
ppc \
$1-ppc \
yes \
yes \
yes \
"" \
"" \
""

View File

@ -1,21 +0,0 @@
bash misc/integration/test.sh \
./factor \
x86.32 \
$1-x86 \
yes \
yes \
yes \
"" \
"" \
"" || exit 1
bash misc/integration/test.sh \
./factor \
x86.32 \
$1-x86 \
yes \
yes \
yes \
"" \
"-no-sse2" \
"-no-sse2"

View File

@ -1,10 +0,0 @@
bash misc/integration/test.sh \
./factor \
x86.64 \
$1-amd64 \
yes \
yes \
yes \
"" \
"" \
""

View File

@ -1,8 +0,0 @@
USING: tools.deploy sequences io.files io kernel ;
"." resource-path cd
"mkdir deploy-log" run-process
"factory" "deploy-log/" over append
<file-writer> [ deploy ] with-stream